Page 1 of 2 12 LastLast
Results 1 to 10 of 11
  1. #1
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default WARNING: An Error occurred, please refresh the page and try again.

    I'm trying to upgrade from 1.3.8 to 1.5.4 and it looks like it's somewhat working - the store page comes up - but only partly, because I'm having trouble using my old database with the new version - that's a whole other story lol

    When I try to log into my admin, the page is blank with this message: WARNING: An Error occurred, please refresh the page and try again.

    I get the following in the error log:

    [02-Sep-2017 11:53:02] PHP Warning: PHP Startup: SourceGuardian: Unable to initialize module
    Module compiled with module API=20090626, debug=0, thread-safety=0
    PHP compiled with module API=20060613, debug=0, thread-safety=0
    These options need to match
    in Unknown on line 0

    Can someone please help. I can't afford to hire someone to install it for me right now, so any help would be appreciated.

    Joanne

  2. #2
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    6,976
    Plugin Contributions
    63

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    You apparently had previously purchased a plugin that requires SourceGuardian to "decode" what needs to be done.

    Try editing the file /YOUR_ADMIN/includes/application_top.php, changing the line that reads:
    Code:
    if (!defined('DEBUG_AUTOLOAD')) define('DEBUG_AUTOLOAD', false);
    to read:
    Code:
    if (!defined('DEBUG_AUTOLOAD')) define('DEBUG_AUTOLOAD', true);
    That will display the progress of the admin load and will, hopefully, identify the file that's requiring that additional processing.

  3. #3
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    Quote Originally Posted by lat9 View Post
    You apparently had previously purchased a plugin that requires SourceGuardian to "decode" what needs to be done.

    Try editing the file /YOUR_ADMIN/includes/application_top.php, changing the line that reads:
    Code:
    if (!defined('DEBUG_AUTOLOAD')) define('DEBUG_AUTOLOAD', false);
    to read:
    Code:
    if (!defined('DEBUG_AUTOLOAD')) define('DEBUG_AUTOLOAD', true);
    That will display the progress of the admin load and will, hopefully, identify the file that's requiring that additional processing.
    I can't find that line in the application_top file.

    oh wait, is this it?

    define('DEBUG_AUTOLOAD', false);
    Last edited by joannem; 2 Sep 2017 at 07:06 PM.

  4. #4
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    6,976
    Plugin Contributions
    63

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    It's the first non-comment statement in that file; for Zen Cart 1.5.4 (why are you upgrading to that instead of 1.5.5e?) the line reads:
    Code:
    define('DEBUG_AUTOLOAD', false);
    ... and, just like above, you'll just change that false to true.

  5. #5
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    OK, this is the codes it shows above the log in box:

    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/class.base.php');
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/class.notifier.php');
    actionPoint=>0 $zco_notifier = new notifier();
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/sniffer.php');
    actionPoint=>0 include('includes/classes/logger.php');
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/shopping_cart.php');
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/products.php');
    actionPoint=>0 include('includes/classes/table_block.php');
    actionPoint=>0 include('includes/classes/box.php');
    actionPoint=>0 include('includes/classes/message_stack.php');
    actionPoint=>0 include('includes/classes/split_page_results.php');
    actionPoint=>0 include('includes/classes/object_info.php');
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/class.phpmailer.php');
    actionPoint=>0 include('/home2/joannes/public_html/shop/includes/classes/class.smtp.php');
    actionPoint=>0 include('includes/classes/upload.php');
    actionPoint=>10 require('includes/init_includes/init_file_db_names.php');
    actionPoint=>10 require('includes/init_includes/init_database.php');
    actionPoint=>10 require('/home2/joannes/public_html/shop/includes/version.php');
    actionPoint=>20 require('includes/init_includes/init_db_config_read.php');
    actionPoint=>30 require('includes/init_includes/init_gzip.php');
    actionPoint=>30 $sniffer = new sniffer();
    actionPoint=>35 require('includes/functions/admin_access.php');
    actionPoint=>40 require('includes/init_includes/init_general_funcs.php');
    actionPoint=>40 require('includes/init_includes/init_tlds.php');
    actionPoint=>60 require('includes/init_includes/init_sessions.php');
    actionPoint=>70 require('includes/init_includes/init_languages.php');
    actionPoint=>80 require('includes/init_includes/init_templates.php');
    actionPoint=>90 $zc_products = new products();
    actionPoint=>90 require('includes/functions/localization.php');
    actionPoint=>100 $messageStack = new messageStack();
    actionPoint=>120 require('includes/init_includes/init_special_funcs.php');
    actionPoint=>130 require('includes/init_includes/init_category_path.php');
    actionPoint=>140 require('includes/init_includes/init_errors.php');
    actionPoint=>150 require('includes/init_includes/init_admin_auth.php');
    actionPoint=>160 require('/home2/joannes/public_html/shop/includes/functions/audience.php');
    actionPoint=>170 require('includes/init_includes/init_admin_history.php');
    actionPoint=>180 require('includes/init_includes/init_html_editor.php');

  6. #6
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    because that's the latest one I had downloaded - Maybe I should be trying to upgrade to each of the updates after 1.3.8, but that would take forever

  7. #7
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    Quote Originally Posted by lat9 View Post
    It's the first non-comment statement in that file; for Zen Cart 1.5.4 (why are you upgrading to that instead of 1.5.5e?) the line reads...
    Quote Originally Posted by joannem View Post
    because that's the latest one I had downloaded - Maybe I should be trying to upgrade to each of the updates after 1.3.8, but that would take forever
    No, lat9's point is why are you upgrading to v1.5.4 when v1.5.5 has been available for many months?
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  8. #8
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    Quote Originally Posted by DrByte View Post
    No, lat9's point is why are you upgrading to v1.5.4 when v1.5.5 has been available for many months?
    As I said 1.5.4 is the last one I downloaded, and it's already uploaded to my server. I think my trouble has to do with the fact that I linked my version 1.3.8 database to the new store folder, and the reason I did that was because when I use the database that's created with the new version, there are some columns that don't match.

    I am about ready to just leave the store the way it is.

  9. #9
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    I'm not following fully what you've done.

    Did you simply unzip the v1.5.4 files and upload them to the server expecting it to just carry on ... without also upgrading the database structure using zc_install?
    The upgrade process is documented in multiple places; the popular approach is this one which involves a brief temporary copy of your site to be sure you have everything ready to go before touching your live site: http://www.zen-cart.com/entry.php?3-upgrading
    But, if you choose to fast-track past that, then you must at least run zc_install by uploading the zc_install directory to your server and then point your browser to your_site.com/zc_install and follow the prompts to do the 3-minute db upgrade step. Otherwise the database will indeed be missing necessary columns, and more.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  10. #10
    Join Date
    Jul 2009
    Posts
    102
    Plugin Contributions
    0

    Default Re: WARNING: An Error occurred, please refresh the page and try again.

    Quote Originally Posted by DrByte View Post
    I'm not following fully what you've done.

    Did you simply unzip the v1.5.4 files and upload them to the server expecting it to just carry on ... without also upgrading the database structure using zc_install?
    The upgrade process is documented in multiple places; the popular approach is this one which involves a brief temporary copy of your site to be sure you have everything ready to go before touching your live site: http://www.zen-cart.com/entry.php?3-upgrading
    But, if you choose to fast-track past that, then you must at least run zc_install by uploading the zc_install directory to your server and then point your browser to your_site.com/zc_install and follow the prompts to do the 3-minute db upgrade step. Otherwise the database will indeed be missing necessary columns, and more.
    I did the install. But I linked my old database to the new shop folder on my server. I think my problem is that right now I don't have the newest version of PHP on my server. I had them update it, but then my 1.3.8 version didn't work, so I had them put it back to the old version so I wouldn't lose money on my old store. I'm going to try hooking up the new database to the new shop folder, but I think it will screw things up again.

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. v155 WARNING: An Error occurred, please refresh the page and try again.
    By ColtSAA in forum Installing on a Linux/Unix Server
    Replies: 1
    Last Post: 20 Sep 2016, 05:00 PM
  2. v154 WARNING: An Error occurred, please refresh the page and try again.
    By bscho in forum Installing on a Linux/Unix Server
    Replies: 6
    Last Post: 6 Jul 2016, 01:50 AM
  3. Replies: 1
    Last Post: 8 Oct 2014, 06:46 PM
  4. v151 Warning: An Error occurred, please refresh the page and try again...
    By Sellerz in forum Installing on a Windows Server
    Replies: 2
    Last Post: 4 Nov 2012, 03:12 AM
  5. Replies: 2
    Last Post: 18 Apr 2012, 07:27 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR